
input.invalid, select.invalid, textarea.invalid {
  border: 2px solid red;
}

.input.checkbox label:has(input.invalid) {
  border: 2px solid red;
  padding: 8px 10px;
  border-radius: 4px;
  display: inline-block;
}

.tooltip-error {
  background: #f44336;
  color: white;
  font-size: 0.8em;
  padding: 8px;
  border-radius: 4px;
  margin-top: 8px;
  display: block;
  position: relative;
  line-height: normal;
}